### Hierarchy

- unknown
  - GetConnectionRequest

## Index

### Constructors

- constructor

### Methods

- serializeBinary
- toObject
- deserializeBinary
- deserializeBinaryFromReader
- serializeBinaryToWriter
- toObject

## Constructors

### constructor

- new GetConnectionRequest(): GetConnectionRequest

- Inherited from jspb.Message.constructor

  #### Returns GetConnectionRequest

## Methods

### serializeBinary

- serializeBinary(): Uint8Array

- - Defined in src/protobuf/grpc_pb.d.ts:882

  #### Returns Uint8Array

### toObject

- toObject(includeInstance?: boolean): GetConnectionRequest . AsObject

- - Defined in src/protobuf/grpc_pb.d.ts:883

  #### Parameters

  - ##### Optional includeInstance: boolean

  #### Returns GetConnectionRequest . AsObject

### Static deserializeBinary

- deserializeBinary(bytes: Uint8Array): GetConnectionRequest

- - Defined in src/protobuf/grpc_pb.d.ts:886

  #### Parameters

  - ##### bytes: Uint8Array

  #### Returns GetConnectionRequest

### Static deserializeBinaryFromReader

- deserializeBinaryFromReader(message: GetConnectionRequest, reader: BinaryReader): GetConnectionRequest

- - Defined in src/protobuf/grpc_pb.d.ts:887

  #### Parameters

  - ##### message: GetConnectionRequest

  - ##### reader: BinaryReader

  #### Returns GetConnectionRequest

### Static serializeBinaryToWriter

- serializeBinaryToWriter(message: GetConnectionRequest, writer: BinaryWriter): void

- - Defined in src/protobuf/grpc_pb.d.ts:885

  #### Parameters

  - ##### message: GetConnectionRequest

  - ##### writer: BinaryWriter

  #### Returns void

### Static toObject

- toObject(includeInstance: boolean, msg: GetConnectionRequest ): GetConnectionRequest . AsObject

- - Defined in src/protobuf/grpc_pb.d.ts:884

  #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: GetConnectionRequest

  #### Returns GetConnectionRequest . AsObject

Generated using TypeDoc